# Events Subscriptions API ## Introduction Welcome to the Aritma Events API! Over time there will be introduced changes to the API as we continuously introduce improvements. You have the option to use a specific version or the most recent version, supported versions are available in the response header api-supported-versions. Use a specific version of the API by specifying the api-version header, for example api-version: 1.0. If you don't specify the header, the latest version will be used. If a version has been scheduled to be removed, it will be reported through the api-supported-versions header. Our API uses resource-oriented endpoint paths, accepts [Json-Encoded](https://www.json.org/json-en.html) request bodies, returns [Json-Encoded](https://www.json.org/json-en.html) responses, and uses standard HTTP response codes and verbs. Version: v1 ## Servers Subscriptions API Dev ``` https://events.dev.aritma.io ``` Subscriptions API ``` https://events.aritma.io ``` ## Security ### authorization_code_dev Type: oauth2 ### client_credentials_dev Type: oauth2 ### authorization_code Type: oauth2 ### client_credentials Type: oauth2 ## Download OpenAPI description [Events Subscriptions API](https://developer.aritma.com/_bundle/apis/platform/events/openapi/events-openapi.yaml) ## Deadletter ### Gets a list of deadletters for a container. - [GET /api/failed-events](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/deadletter/paths/~1api~1failed-events/get.md) ### Downloads a failed event. - [GET /api/failed-events/{eventId}](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/deadletter/paths/~1api~1failed-events~1%7Beventid%7D/get.md) ### Deletes a failed event. - [DELETE /api/failed-events/{eventId}](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/deadletter/paths/~1api~1failed-events~1%7Beventid%7D/delete.md) ## Subscriptions ### Creates a new subscription. - [POST /api/subscriptions](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/subscriptions/paths/~1api~1subscriptions/post.md): Create a subscription for a set of event-types. To complete provisioning of the subscription you must do a GET request against the validationUrl sent to the Delivery.Url. Webhooks of the specified event-types will be delivered when provisioning has succeeded. ### Gets all subscriptions available. - [GET /api/subscriptions](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/subscriptions/paths/~1api~1subscriptions/get.md) ### Gets a subscription matching the id specified. - [GET /api/subscriptions/{subscriptionName}](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/subscriptions/getsubscription.md) ### Updates an existing subscription matching the id specified. - [PUT /api/subscriptions/{subscriptionName}](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/subscriptions/paths/~1api~1subscriptions~1%7Bsubscriptionname%7D/put.md): Updates a subscription for a set of event-types. To complete provisioning of the subscription you must do a GET request against the validationUrl sent to the Delivery.Url. Webhooks of the specified event-types will be delivered when provisioning has succeeded. ### Deletes an existing subscription matching the id specified. - [DELETE /api/subscriptions/{subscriptionName}](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/subscriptions/paths/~1api~1subscriptions~1%7Bsubscriptionname%7D/delete.md)